#pragma once

#include "OscilloscopeHard.h"

//--------------------------------------------------------------------------------
/**
 * Oscilloscope Parameter Dialog.
 *
 * @note
 * When we use wxStaticBoxSizer by wxFormBuilder, we must not check "parent" option.
 * If we check "parent" option, wxStaticBox is used as parent of managed children
 * in the wxStaticBoxSizer, and therefore
 * TransferDataToWindow() and TransferDataFromWindow() does NOT work !!
 */
class OscilloscopeParamDialog : public OscilloscopeParamDialogDesign
{
public:
  OscilloscopeParamDialog(wxWindow *parent, OscilloscopeHard &hard);
  virtual ~OscilloscopeParamDialog();

protected:
  virtual void OnInitDialog(wxInitDialogEvent &event);
	virtual void OKButton_OnClick(wxCommandEvent &event);

private:
  OscilloscopeHard &m_hard;
  SHORT m_trgLevel;
};

//--------------------------------------------------------------------------------
