#pragma once

#include "OscilloscopeHard.h"

//--------------------------------------------------------------------------------
/**
 * DDS Parameter Dialog.
 */
class DDSParamDialog : public DDSParamDialogDesign
{
public:
  DDSParamDialog(wxWindow *parent, OscilloscopeHard &hard);
  virtual ~DDSParamDialog();

protected:
  virtual void OnInitDialog(wxInitDialogEvent &event);
	virtual void OKButton_OnClick(wxCommandEvent &event);

private:
  OscilloscopeHard &m_hard;
  float m_freq;
  unsigned short m_amp;
  short m_offset;
};

//--------------------------------------------------------------------------------
