#pragma once

#include "Hard.h"

//--------------------------------------------------------------------------------
class OscilloscopePanel : public wxPanel
{
public:
  explicit OscilloscopePanel(wxWindow *parent);
  virtual ~OscilloscopePanel();

private:
  void CollectData();

  void DrawWave(HDC hDC, RECT const &Rect);
	void DrawWaveInYT(HDC hDC, RECT const &Rect, USHORT nCH);
	void DrawGrid(HDC hDC, RECT const &Rect);

  void OnSize(wxSizeEvent &event);
  void OnTimer(wxTimerEvent &event);
  void OnPaint(wxPaintEvent &event);

  wxTimer m_timer;

  CHard m_Hard;
  BOOL m_bStartNew;
};

//--------------------------------------------------------------------------------
